# $Revision: 1.29 $, $Date: 2006/04/16 21:31:40 $
Summary:	Athlon Powersaving bits enabler
Summary(ja):	AMD Athlon/Duron ξϵǽͭˤ
Summary(pl):	Narzdzie do wczania trybu oszczdnoci energii procesorw Athlon
Name:		athcool
Version:	0.3.11
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://members.jcom.home.ne.jp/jacobi/linux/files/%{name}-%{version}.tar.gz
# Source0-md5:	4f550f9aaaa68a01d1e8ae31491e5406
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://members.jcom.home.ne.jp/jacobi/linux/softwares.html
BuildRequires:	pciutils-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
athcool is a small utility for enabling/disabling powersaving mode on
AMD Athlon/Duron processors.

Powersaving works if your kernel supports ACPI (APM doesn't work),
because athcool only sets/unsets "Disconnect enable when STPGNT
detected" bits in the northern bridge of the chipset.

%description -l ja
athcool  AMD Athlon/Duron
ξϵǽͭˤ̵̤ȯǮޤޤ CPU
Ψ㤤ˤϷŪȯǮޤ
åץåȤˤäƤ˺ưʤ⤢ޤΤǡ嵭 URL
򻲾 ξǻѤƤ ʤϵǽˤ ACPI
бΥͥ뤬ɬפǤ

%description -l pl
athcool jest maym programem narzdziowym sucym do wczania i
wyczania trybu oszczdnoci energii procesorw AMD Athlon/Duron.

Tryb oszczdnoci energii dziaa, gdy jdro zawiera wsparcie dla ACPI
(z APM nie dziaa), gdy athcool jedynie ustawia/zeruje flagi bitowe
"Disconnect enable when STPGNT detected" w mostku pnocnym chipsetu.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add athcool
%service athcool restart

%preun
if [ "$1" = "0" ]; then
	%service athcool stop
	/sbin/chkconfig --del athcool
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_sbindir}/athcool
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: athcool.spec,v $
Revision 1.29  2006/04/16 21:31:40  glen
- fix chkconfig, rc-scripts deps

Revision 1.28  2006/02/24 15:20:04  glen
- use %service

Revision 1.27  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.26  2005/09/06 21:25:21  prism
- 0.3.11

Revision 1.25  2005/04/04 13:54:17  ciesiel
- upgraded to version 0.3.10

Revision 1.24  2005/03/01 12:48:28  sparky
- rel 3; permit turning off powersaving bit on startup; STBR

Revision 1.23  2004/11/11 19:02:45  wolf
- rel 2
- lockup fix, but can damage your system and erase all your data, yadayada

Revision 1.22  2004/11/11 16:26:27  darekr
- updated to 0.3.8

Revision 1.21  2004/10/18 15:48:21  deejay1
- more proper english

Revision 1.20  2004/05/27 14:47:05  blues
- release 2

Revision 1.19  2004/05/23 13:32:08  wolf
- 0.3.5

Revision 1.18  2004/04/26 13:42:06  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.17  2003/11/11 01:33:20  ankry
- caps unification, other cosmetics

Revision 1.16  2003/08/28 22:02:49  blues
- release 3

Revision 1.15  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.14  2003/08/22 15:26:46  qboosh
- verify flags for configs

Revision 1.13  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.12  2003/08/09 16:17:55  ankry
- typos, converted Japanese

Revision 1.11  2003/08/08 14:34:27  blues
- added sysconfig and init script with new option

Revision 1.10  2003/08/06 16:30:07  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.9  2003/08/06 09:42:28  qboosh
- pass CC and CFLAGS, PreReq: rc-scripts

Revision 1.8  2003/08/05 22:25:26  blues
- added pre/post play

Revision 1.7  2003/08/05 22:23:32  blues
- added simple init script

Revision 1.6  2003/08/05 22:05:39  blues
- release 1 - it works pretty nice :)

Revision 1.5  2003/08/05 22:00:19  blues
- added DESTDIR patch

Revision 1.4  2003/08/05 21:51:12  blues
- fixed doc and license, back to original URL

Revision 1.3  2003/08/05 21:45:28  blues
- some cleanups, temporary URL

Revision 1.2  2003/08/05 11:25:39  ankry
- pl summary/description, adapterized

Revision 1.1  2003/08/04 22:01:29  blues
- completelly raw
